"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.command = 'lint [files...]';
exports.description = 'Lint files, by default .js(x) files under src and webpack are linted';
exports.args = [
    ['--changed', 'lint only changed files in git workspace'],
    ['--staged', 'lint only staged (both partially and fully) files in git workspace'],
    ['--allow-unsafe-react-method', 'allow UNSAFE_* methods in react component'],
    ['--fix', 'fix possible lint errors'],
];
exports.run = async (files, cmd) => {
    const { default: run } = await Promise.resolve().then(() => __importStar(require('./run')));
    run(files, cmd);
};
//# sourceMappingURL=index.js.map