"use strict";
const babel_jest_1 = require("babel-jest");
const babel_1 = require("../babel");
const getBabelJestTransformer = (options) => {
    const { cwd } = options;
    const babelConfigOptions = {
        cwd,
        mode: 'development',
        usage: 'test',
        browserSupport: { chrome: '50', safari: '11' },
        styleName: false,
        polyfill: false,
        hot: 'none',
        hostType: 'library',
    };
    return babel_jest_1.createTransformer(babel_1.getBabelConfig(babelConfigOptions));
};
module.exports = getBabelJestTransformer({ cwd: process.cwd() });
//# sourceMappingURL=transformer.js.map