"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const hasha_1 = __importDefault(require("hasha"));
const change_case_1 = require("change-case");
exports.generateScopedStyleName = (name, filename) => {
    const hash = hasha_1.default(filename + name, { algorithm: 'md5' });
    const basename = path.basename(filename, path.extname(filename));
    const componentName = basename === 'index' ? path.basename(path.dirname(filename)) : basename;
    return `${change_case_1.paramCase(componentName)}-${name}-${hash.slice(0, 5)}`;
};
//# sourceMappingURL=style.js.map