"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTypeScriptConfig = () => {
    return {
        compilerOptions: {
            module: 'esnext',
            target: 'es2018',
            noEmit: true,
            allowJs: false,
            esModuleInterop: true,
            experimentalDecorators: true,
            lib: [
                'es2018',
                'dom',
            ],
            sourceMap: true,
            moduleResolution: 'node',
            /* Strict Type-Checking Option */
            strict: true,
            noUnusedLocals: false,
            // "noImplicitReturns": true, /* Report error when not all code paths in function return a value. */
            noFallthroughCasesInSwitch: true,
        },
    };
};
//# sourceMappingURL=typescript.js.map