"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const resolve_1 = require("resolve");
const lodash_1 = require("lodash");
const unixify_1 = __importDefault(require("unixify"));
const factory = ({ cwd, srcDirectory, build: { styleResources } }) => {
    const patterns = [
        ...styleResources,
        unixify_1.default(path.resolve(cwd, srcDirectory, 'styles/*.var.less')),
        unixify_1.default(path.resolve(__dirname, '../../../assets/est-compat.less')),
    ];
    return {
        loader: resolve_1.sync('style-resources-loader'),
        options: {
            patterns: lodash_1.compact(patterns),
            injector: 'append',
        },
    };
};
exports.default = factory;
//# sourceMappingURL=styleResources.js.map