"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const resolve_1 = require("resolve");
const factory = ({ build: { largeAssetSize } }) => {
    return {
        loader: resolve_1.sync('url-loader'),
        options: {
            limit: largeAssetSize,
            name: '[name].[hash].[ext]',
        },
    };
};
exports.default = factory;
//# sourceMappingURL=url.js.map