"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TRACK_ROUTE = 'TrackRoute';
exports.default = (componentTypeName, program) => {
    var _a, _b;
    if (componentTypeName !== TRACK_ROUTE) {
        return false;
    }
    const path = (_b = (_a = program.scope.bindings) === null || _a === void 0 ? void 0 : _a[TRACK_ROUTE]) === null || _b === void 0 ? void 0 : _b.path;
    if (!path || !path.isImportSpecifier()) {
        return false;
    }
    return path.parentPath.node.source.value === '@ecomfe/react-track';
};
//# sourceMappingURL=isValidTrackRouteUsage.js.map