"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (program, componentTypeName) => {
    const binding = program.scope.bindings[componentTypeName];
    // 理论上不会进这个分支
    if (!binding.path.isImportDefaultSpecifier()) {
        return undefined;
    }
    const declaration = binding.path.parentPath;
    const moduleName = declaration.node.source.value;
    if (declaration.get('specifiers').length === 1) {
        binding.path.parentPath.remove();
    }
    else {
        binding.path.remove();
    }
    return moduleName;
};
//# sourceMappingURL=removeStaticImport.js.map