"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
exports.toDefines = (context, prefix) => {
    const entries = Object.entries(context);
    const defines = entries.map(([key, value]) => [prefix + '.' + key, JSON.stringify(value)]);
    return lodash_1.fromPairs(defines);
};
//# sourceMappingURL=index.js.map