"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.command = 'build';
exports.description = 'Build entire app';
exports.args = [
    ['--cwd [value]', 'override current working directory', process.cwd()],
    ['--mode [value]', 'set build mode, default to "production"', 'production'],
    ['--src [value]', 'specify the dir containing source files relative to cwd', 'src'],
    ['--build-target [value]', 'create index.html according to specific target'],
    ['--analyze', 'enable bundle analysis'],
    ['--clean', 'remove dist directory before build'],
];
exports.run = async (cmd) => {
    const { default: run } = await Promise.resolve().then(() => __importStar(require('./run')));
    run(cmd);
};
//# sourceMappingURL=index.js.map