"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.command = 'dev';
exports.description = 'Start dev server for debugging';
exports.args = [
    ['--cwd [value]', 'override current working directory', process.cwd()],
    ['--mode [value]', 'set build mode, default to "development"', 'development'],
    ['--src [value]', 'specify the dir containing source files relative to cwd', 'src'],
    ['--build-target [value]', 'set build target, default to "dev"', 'dev'],
    ['--proxy-domain [domain]', 'set api proxy domain, only domain part (www.example.com) is required'],
];
exports.run = async (cmd) => {
    const { default: run } = await Promise.resolve().then(() => __importStar(require('./run')));
    run(cmd);
};
//# sourceMappingURL=index.js.map