"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.command = 'play <target>';
exports.description = 'Start a playground to debug a certain component';
exports.args = [
    ['--cwd [value]', 'override current working directory', process.cwd()],
    ['--build-target [value]', 'set build target, default to "dev"', 'dev'],
];
exports.run = async (target, cmd) => {
    const { default: run } = await Promise.resolve().then(() => __importStar(require('./run')));
    run(target, cmd);
};
//# sourceMappingURL=index.js.map