"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const fs = __importStar(require("fs"));
const util_1 = require("util");
const readFile = util_1.promisify(fs.readFile);
const writeFile = util_1.promisify(fs.writeFile);
exports.putTemplate = async (name, destination) => {
    const output = path.join(destination, name);
    if (fs.existsSync(output)) {
        return;
    }
    const content = await readFile(path.join(__dirname, 'templates', name + '.tpl'), 'utf-8');
    await writeFile(output, content, 'utf-8');
};
//# sourceMappingURL=utils.js.map