"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.command = 'test';
exports.description = 'Test';
exports.args = [
    ['--cwd [value]', 'override current working directory', process.cwd()],
    ['--coverage', 'indicates test coverage information', false],
    ['--watch', 'watch files for changes and rerun tests related to changed files', false],
    ['--target [value]', 'specify test environment of the project is "react" or "node"', 'node'],
    ['--changedSince [value]', 'runs tests related to the changes since the provided branch.', ''],
];
exports.run = async (cmd) => {
    const { default: run } = await Promise.resolve().then(() => __importStar(require('./run')));
    run(cmd);
};
//# sourceMappingURL=index.js.map