"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const resolve_1 = require("resolve");
const config_1 = require("../../../config");
const factory = ({ usage, build: { reportLintErrors } }) => {
    if (!reportLintErrors) {
        return null;
    }
    return {
        loader: resolve_1.sync('eslint-loader'),
        options: {
            cache: true,
            eslintPath: resolve_1.sync('eslint'),
            baseConfig: config_1.getScriptLintConfig(),
            ignorePattern: ['*.ts', '*.tsx'],
            rulePaths: [path.resolve(__dirname, '..', '..', '..', 'config', 'lint', 'rules', 'void')],
            emitWarning: usage === 'devServer' || usage === 'play',
            failOnError: usage === 'build',
        },
    };
};
exports.default = factory;
//# sourceMappingURL=eslint.js.map