"use strict";
/**
 * @file 添加了分析功能的webpack配置
 * @author zhanglili
 */
Object.defineProperty(exports, "__esModule", { value: true });
const webpack_bundle_analyzer_1 = require("webpack-bundle-analyzer");
const factory = entry => (entry.isDefaultTarget
    ? {
        plugins: [
            new webpack_bundle_analyzer_1.BundleAnalyzerPlugin({ analyzerMode: 'static', generateStatsFile: true }),
        ],
    }
    : {});
exports.default = factory;
//# sourceMappingURL=analyze.js.map